## tor 0.2.9.10-1~precise+1+6.0.1trisquel1

=== debian/changelog ===
tor (0.2.9.10-1~precise+1+6.0.1trisquel1) toutatis; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Mar 2017 12:25:35 +0000

tor (0.2.9.10-1~precise+1) precise-backport; urgency=medium

  * Build for precise-backport.
  * Remove libseccomp-dev build dependency for backport.
  * Remove dh-systemd build dependency for backport.
  * Remove --with systemd from debian/rules
  * Remove libsystemd-dev build dependency for backport.
  * Remove pkg-configu build dependency for backport.
  * Remove --enable-systemd from debian/rules
  * Remove debian/systemd/* from debian/tor.install
  * Remove chmod +x debian/systemd/tor-generator from debian/rules
  * Remove debian/systemd
  * Remove debian/tor-instance-create from debian/tor.install
  * Remove debian/tor-instance-create.8 from debian/tor.manpages

 -- jenkins role account <jenkins@build-x86-07.torproject.org>  Sun, 05 Mar 2017 10:50:17 +0000

tor (0.2.9.10-1) unstable; urgency=medium

  * New upstream version.
    - Stop rejecting all IPv6 traffic on Exits whose exit policy rejects
      any IPv6 addresses.
    - Fix an integer underflow bug when comparing malformed Tor
      versions. Underlying issue of TROVE-2017-001, mitigated in the
      previous release.

 -- Peter Palfrader <weasel@debian.org>  Sat, 04 Mar 2017 16:28:58 +0100

tor (0.2.9.9-1) unstable; urgency=medium

  * New upstream version.
    + Downgrade the "-ftrapv" option from "always on" to "only on when
      --enable-expensive-hardening is provided." (re: TROVE-2017-001).

 -- Peter Palfrader <weasel@debian.org>  Mon, 23 Jan 2017 16:44:32 +0100

tor (0.2.9.8-2) unstable; urgency=medium

  * Actually target unstable.

 -- Peter Palfrader <weasel@debian.org>  Mon, 19 Dec 2016 22:21:05 +0100

tor (0.2.9.8-1) experimental; urgency=medium

  * New upstream version, upload 0.2.9.x tree to unstable.
  * Add a comment to tor@.service explaining why we cannot limit to
    /var/lib/tor-instances/<instance> but only to /var/lib/tor-instances --
    systemd does not do instance expansion in ReadWriteDirectories lines --
    cf.  #781730.
  * Update README.Debian to mention a good location to put onion service
    UNIX sockets.  Note that neither systemd nor apparmor limits access
    to them -- cf. #846275.
  * Use -Z (Apply SE-Linux labels) to install when creating instance datadirs
    in tor-instance-create.

 -- Peter Palfrader <weasel@debian.org>  Mon, 19 Dec 2016 15:53:38 +0100

tor (0.2.9.7-rc-1) experimental; urgency=medium

  * New upstream version.
  * Remove CAP_CHOWN, CAP_FOWNER from the systemd service files'
    CapabilityBoundingSet.  We may no longer need them.  The upstream
    changelog says that Tor changed some logic with 0.2.8.1-alpha that made
    CAP_CHOWN CAP_FOWNER no longer needed.
    CAP_DAC_OVERRIDE is still needed: Tor checks properties of hidden service
    directories as root before changing its UID to debian-tor, and those trees
    are owned by debian-tor and go-rwx (see #847598).

 -- Peter Palfrader <weasel@debian.org>  Mon, 12 Dec 2016 17:06:28 +0100

tor (0.2.9.6-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 02 Dec 2016 17:53:00 +0100

tor (0.2.9.5-alpha-1) experimental; urgency=medium

  * New upstream version.
  * Raise Standards-Version to 3.9.8 - no changes needed.
  * Use command -v $foo instead of [ -x /sbin/$foo ] in maintainer script.

 -- Peter Palfrader <weasel@debian.org>  Tue, 08 Nov 2016 13:36:16 +0100

tor (0.2.9.4-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 17 Oct 2016 22:20:31 +0200

tor (0.2.9.3-alpha-1) experimental; urgency=medium

  [ Peter Palfrader ]
  * New upstream version.

  [ Iain R. Learmonth ]
  * Removes dependency on hardening-wrapper, and
    build-depend on version >= 9 of debhelper instead
    so we can enable harding via DEB_BUILD_MAINT_OPTIONS
    (closes: #836762).

 -- Peter Palfrader <weasel@debian.org>  Fri, 23 Sep 2016 23:49:01 +0200

tor (0.2.9.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 25 Aug 2016 09:40:38 +0200

tor (0.2.9.1-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Wed, 17 Aug 2016 21:05:37 +0200

tor (0.2.8.6-3) unstable; urgency=medium

  * Raise TimeoutStartSec from 120 to 300 secs for slower systems.
  * tor-instance-create and tor-instance-create.8.txt: fix some typos.

 -- Peter Palfrader <weasel@debian.org>  Wed, 17 Aug 2016 17:16:22 +0200

tor (0.2.8.6-2) unstable; urgency=medium

  * Update the system V init script to create /var/run/tor with mode 02755
    also.  This matches the systemd service file.
  * No longer create /var/run/tor in postinst -- it is created when services
    start.
  * apparmor policy: let tor read /var/lib/tor/** (without it being the
    owner of these files)

 -- Peter Palfrader <weasel@debian.org>  Thu, 04 Aug 2016 20:27:55 +0200

tor (0.2.8.6-1) unstable; urgency=medium

  * New upstream version, upload 0.2.8.x tree to unstable.

 -- Peter Palfrader <weasel@debian.org>  Tue, 02 Aug 2016 18:07:21 +0200

tor (0.2.8.5-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Jul 2016 14:33:45 +0200

tor (0.2.8.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 15 Jun 2016 19:59:31 +0200

tor (0.2.8.3-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 01 Jun 2016 21:29:15 +0200

tor (0.2.8.2-alpha-1) experimental; urgency=medium

  * New upstream version.
  * apparmor profile: Allow reading of /var/lib/tor to the process.
    This is required by new tor versions (closes: Tor#18370).
  * Set SocksPort unix:/var/run/tor/socks and 9050 in the defaults file

