=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tor
 Section: net
 Priority: optional
-Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, dh-autoreconf
-Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
+Build-Depends: debhelper (>= 9), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386 x32 armel armhf], dh-systemd [linux-any], libsystemd-dev [linux-any], pkg-config [linux-any], dh-autoreconf
 Standards-Version: 3.9.8
 Homepage: https://www.torproject.org/
 Vcs-Git: https://git.torproject.org/debian/tor.git
