=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
+	dhoptions += --with systemd
+	confflags += --enable-systemd
 endif
 
 %:
@@ -29,7 +31,6 @@
 		--parallel
 
 override_dh_auto_configure:
-	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 	dh_auto_configure -- \
 		$(confflags) \
 		--prefix=/usr \
@@ -41,13 +42,6 @@
 		--enable-gcc-warnings-advisory
 
 override_dh_clean:
-	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
-
-	# Normally the .deb wouldn't ship with a ../.git, but if we do, include the revision number
-	if [ -d .git ] && which git >/dev/null; then \
-		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
-	fi
-
 	# these get autobuilt from the .txt files, some of which we also patch
 	rm -vf doc/*.in
 	rm -f debian/tor-instance-create.8
@@ -57,6 +51,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	a2x -f manpage debian/tor-instance-create.8.txt
+	chmod +x debian/systemd/tor-generator
 
 override_dh_install-arch:
 	dh_install --fail-missing
