=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386 x32 armel armhf], dh-systemd [linux-any], libsystemd-dev [linux-any], pkg-config [linux-any], dh-autoreconf
+Build-Depends: debhelper (>= 9.20160114), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], dh-systemd [linux-any], libsystemd-dev [linux-any], pkg-config [linux-any], dh-autoreconf
+Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 3.9.8
 Homepage: https://www.torproject.org/
 Vcs-Git: https://git.torproject.org/debian/tor.git
@@ -47,17 +48,6 @@
  builds of Tor, Torbutton, and a modified Firefox that is patched to fix
  a variety of privacy bugs.
 
-Package: tor-dbg
-Architecture: any
-Depends: tor (= ${binary:Version}), ${misc:Depends}
-Suggests: gdb
-Priority: extra
-Section: debug
-Description: debugging symbols for Tor
- This package provides the debugging symbols for Tor, The Onion Router.
- Those symbols allow your debugger to assign names to your backtraces, which
- makes it somewhat easier to interpret core dumps.
-
 Package: tor-geoipdb
 Architecture: all
 Priority: extra
