=== debian/rules ===
--- 
+++ 
@@ -62,10 +62,7 @@
 	cp debian/tor.apparmor-profile.abstraction debian/tor/etc/apparmor.d/abstractions/tor
 	dh_apparmor --profile-name=system_tor -ptor
 
-override_dh_installdocs:
-	dh_installdocs -ptor-dbg --link-doc=tor
-	dh_installdocs
 override_dh_strip:
-	dh_strip --dbg-package=tor-dbg
+	dh_strip --dbgsym-migration='tor-dbg (<< 0.3.1.5-alpha)'
 override_dh_installinit:
 	dh_installinit --error-handler=tor_error_init
