## tor 0.3.4.9-1~trusty+1+7.0trisquel1

=== debian/changelog ===
tor (0.3.4.9-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Nov 2018 11:12:08 +0000

tor (0.3.4.9-1~trusty+1) trusty-backport; urgency=medium

  * Build for trusty-backport.
  * Remove libzstd-dev build dependency for backport.
  * Remove dh-systemd build dependency for backport.
  * Remove --with systemd from debian/rules
  * Remove libsystemd-dev build dependency for backport.
  * Remove pkg-configu build dependency for backport.
  * Remove --enable-systemd from debian/rules
  * Remove debian/systemd/* from debian/tor.install
  * Remove chmod +x debian/systemd/tor-generator from debian/rules
  * Remove debian/systemd
  * Remove debian/tor-instance-create from debian/tor.install
  * Remove debian/tor-instance-create.8 from debian/tor.manpages
  * Restore building of tor-dbg.
  * Downgrade debhelper build dependency to just >= 9.

 -- jenkins role account <jenkins@build-x86-07.torproject.org>  Fri, 02 Nov 2018 20:24:17 +0000

tor (0.3.4.9-1) unstable; urgency=medium

  [ Peter Palfrader ]
  * New upstream version.

  [ intrigeri ]
  * apparmor: allow reading the OpenSSL configuration (closes: #909364).

 -- Peter Palfrader <weasel@debian.org>  Fri, 02 Nov 2018 19:08:12 +0100

tor (0.3.4.8-1) unstable; urgency=medium

  * New upstream version, upload 0.3.4.x tree to unstable.
  * Includes, among other changes:
    - Tell OpenSSL to maintain backward compatibility with previous
      RSA1024/DH1024 users in Tor. With OpenSSL 1.1.1-pre6, these
      ciphers are disabled by default. Closes ticket 27344.
      closes: #907351

 -- Peter Palfrader <weasel@debian.org>  Tue, 11 Sep 2018 14:23:51 +0200

tor (0.3.4.7-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 24 Aug 2018 23:42:51 +0200

tor (0.3.4.6-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 08 Aug 2018 08:38:06 +0200

tor (0.3.4.5-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 14 Jul 2018 01:37:14 +0200

tor (0.3.4.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 10 Jul 2018 14:19:16 +0200

tor (0.3.4.3-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 26 Jun 2018 18:22:48 +0200

tor (0.3.4.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 13 Jun 2018 09:34:10 +0200

tor (0.3.4.1-alpha-1) experimental; urgency=medium

  * New upstream tree.
  * Start using upstream's minimal torrc as our default /etc/tor/torrc.
  * Put longer torrc.sample into /usr/share/doc.

 -- Peter Palfrader <weasel@debian.org>  Fri, 18 May 2018 10:33:45 +0200

tor (0.3.3.5-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 15 Apr 2018 22:05:26 +0200

tor (0.3.3.4-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 04 Apr 2018 19:50:34 +0200

tor (0.3.3.3-alpha-1) experimental; urgency=medium

  * New upstream version.
    - Includes an important security fix for a remote crash attack against
      directory authorities.
      [TROVE-2018-001 and CVE-2018-0490]
    - Additionally, note that the previous upload (0.3.3.2-alpha-1)
      fixed Tor#24700, which had its severity upgraded now (remotely
      triggered crash of relays).
      [TROVE-2018-002 and CVE-2018-0491]

 -- Peter Palfrader <weasel@debian.org>  Sat, 03 Mar 2018 16:29:43 +0100

tor (0.3.3.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Feb 2018 11:48:23 +0100

tor (0.3.3.1-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Thu, 25 Jan 2018 21:20:15 +0100

tor (0.3.2.9-1) unstable; urgency=medium

  * New upstream version, upload 0.3.2.x tree to unstable.

 -- Peter Palfrader <weasel@debian.org>  Tue, 16 Jan 2018 10:49:46 +0100

tor (0.3.2.8-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 21 Dec 2017 20:55:48 +0100

tor (0.3.2.7-rc-1) experimental; urgency=medium

  * New upstream version.
  * Stop suggesting obfsproxy -- long obsolete;  closes: #884369.

 -- Peter Palfrader <weasel@debian.org>  Thu, 14 Dec 2017 20:00:51 +0100

tor (0.3.2.6-alpha-1) experimental; urgency=medium

  * New upstream version, including among others:
    - Fix a denial of service bug where an attacker could use a
      malformed directory object to cause a Tor instance to pause while
      OpenSSL would try to read a passphrase from the terminal. (Tor
      instances run without a terminal, which is the case for most Tor
      packages, are not impacted.) Fixes bug 24246; bugfix on every
      version of Tor. Also tracked as TROVE-2017-011 and CVE-2017-8821.
      Found by OSS-Fuzz as testcase 6360145429790720.
    - Fix a denial of service issue where an attacker could crash a
      directory authority using a malformed router descriptor. Fixes bug
      24245; bugfix on 0.2.9.4-alpha. Also tracked as TROVE-2017-010
      and CVE-2017-8820.
    - When checking for replays in the INTRODUCE1 cell data for a
      (legacy) onion service, correctly detect replays in the RSA-
      encrypted part of the cell. We were previously checking for
      replays on the entire cell, but those can be circumvented due to
      the malleability of Tor's legacy hybrid encryption. This fix helps
      prevent a traffic confirmation attack. Fixes bug 24244; bugfix on
      0.2.4.1-alpha. This issue is also tracked as TROVE-2017-009
      and CVE-2017-8819.
    - Fix a use-after-free error that could crash v2 Tor onion services

