=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	dhoptions += --with systemd
-	confflags += --enable-systemd
 endif
 
 %:
@@ -31,6 +29,7 @@
 		--parallel
 
 override_dh_auto_configure:
+	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 	dh_auto_configure -- \
 		$(confflags) \
 		--prefix=/usr \
@@ -42,6 +41,13 @@
 		--enable-gcc-warnings-advisory
 
 override_dh_clean:
+	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
+
+	# Normally the .deb wouldn't ship with a ../.git, but if we do, include the revision number
+	if [ -d .git ] && which git >/dev/null; then \
+		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
+	fi
+
 	# these get autobuilt from the .txt files, some of which we also patch
 	rm -vf doc/*.in
 	rm -f debian/tor-instance-create.8
@@ -51,18 +57,21 @@
 override_dh_auto_build:
 	dh_auto_build
 	a2x -f manpage debian/tor-instance-create.8.txt
-	chmod +x debian/systemd/tor-generator
 
 override_dh_install-arch:
 	dh_install --fail-missing
 
-	mv debian/tor/etc/tor/torrc.sample debian/tor/etc/tor/torrc
+	rm debian/tor/etc/tor/torrc.sample
+	cp build/src/config/torrc.minimal debian/tor/etc/tor/torrc
 
 	cp debian/tor.apparmor-profile             debian/tor/etc/apparmor.d/system_tor
 	cp debian/tor.apparmor-profile.abstraction debian/tor/etc/apparmor.d/abstractions/tor
 	dh_apparmor --profile-name=system_tor -ptor
 
+override_dh_installdocs:
+	dh_installdocs -ptor-dbg --link-doc=tor
+	dh_installdocs
 override_dh_strip:
-	dh_strip --dbgsym-migration='tor-dbg (<< 0.3.1.5-alpha)'
+	dh_strip --dbg-package=tor-dbg
 override_dh_installinit:
 	dh_installinit --error-handler=tor_error_init
