## tor 0.3.5.12

=== debian/changelog ===
tor (0.3.5.12-1) unstable; urgency=medium

  * update

 -- Peter Palfrader <weasel@debian.org>  Sun, 13 Dec 2020 19:48:14 +0800

tor (0.3.5.12-1) buster; urgency=medium

  * New upstream version, updating Tor in stable (cf. #975297).

 -- Peter Palfrader <weasel@debian.org>  Wed, 25 Nov 2020 08:44:12 +0100

tor (0.3.5.10-1) buster-security; urgency=medium

  * New upstream version.
  * Fixes, among other things a denial-of-service bug that could be used by
    anyone to consume a bunch of CPU on any Tor relay, making it potentially
    easier to introduce observable timing patterns (TROVE-2020-002,
    CVE-2020-10592).

 -- Peter Palfrader <weasel@debian.org>  Thu, 19 Mar 2020 07:55:23 +0100

tor (0.3.5.8-1) unstable; urgency=medium

  * Replace all references to /var/run with /run (closes: #918898).
  * New upstream version.
    - Includes a fix for a medium-severity security bug:
      Make KIST consider the outbuf length when computing what it can
      put in the outbuf. Previously, KIST acted as though the outbuf
      were empty, which could lead to the outbuf becoming too full. It
      is possible that an attacker could exploit this bug to cause a Tor
      client or relay to run out of memory and crash. Fixes bug 29168;
      bugfix on 0.3.2.1-alpha. This issue is also being tracked as
      TROVE-2019-001 and CVE-2019-8955.

 -- Peter Palfrader <weasel@debian.org>  Thu, 21 Feb 2019 21:28:32 +0100

tor (0.3.5.7-1) unstable; urgency=medium

  * New upstream version, upload 0.3.5.x tree to unstable.

 -- Peter Palfrader <weasel@debian.org>  Tue, 08 Jan 2019 09:22:13 +0100

tor (0.3.5.6-rc-1) experimental; urgency=medium

  * tests/setup-onion-service: In our start-stop-daemon call,
    use pipetty as processname as that's the visible process name.
  * tests/setup-onion-service: retry starting onionshare a couple
    of times if it fauls to bootstrap.
  * tests/setup-onion-service marked as flaky.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 19 Dec 2018 10:16:41 +0100

tor (0.3.5.5-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 16 Nov 2018 17:24:54 +0100

tor (0.3.5.4-alpha-1) experimental; urgency=medium

  [ Peter Palfrader ]
  * New upstream version.
  * drop patches/crypto_ope-endian, as it's no longer needed.
  * New autopkgtest: download-release-file:
    launches a tor instance and tries to fetch a Release file over Tor from
    deb.debian.org.
  * New autopkgtest: setup-onion-service.
    Provides a file using onionshare and tries to fetch it from the onion
    service.

  [ intrigeri ]
  * apparmor: allow reading the OpenSSL configuration (Closes: #909364).

 -- Peter Palfrader <weasel@debian.org>  Thu, 08 Nov 2018 14:11:20 +0100

tor (0.3.5.3-alpha-2) experimental; urgency=medium

  * Use the correct preprocessor makro in crypto_ope.c to correctly
    work on big endian systems (re: tor#28115).

 -- Peter Palfrader <weasel@debian.org>  Fri, 19 Oct 2018 14:37:14 +0200

tor (0.3.5.3-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 17 Oct 2018 23:19:23 +0200

tor (0.3.5.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 22 Sep 2018 16:31:04 +0200

tor (0.3.5.1-alpha-1) experimental; urgency=medium

  * New upstream tree.
  * Drop improve-geoip-warning patch, it no longer applies
    after the refactoring.
  * Install debian's microrevision.i into the top sourcedir.

 -- Peter Palfrader <weasel@debian.org>  Tue, 18 Sep 2018 13:54:59 +0200
