=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
+	dhoptions += --with systemd
+	confflags += --enable-systemd
 endif
 
 %:
@@ -29,7 +31,7 @@
 		--parallel
 
 override_dh_auto_configure:
-	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
+	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i ./micro-revision.i
 	dh_auto_configure -- \
 		$(confflags) \
 		--prefix=/usr \
@@ -41,7 +43,7 @@
 		--enable-gcc-warnings-advisory
 
 override_dh_clean:
-	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
+	! [ -e debian/micro-revision.i ] || rm -f ./micro-revision.i
 
 	# Normally the .deb wouldn't ship with a ../.git, but if we do, include the revision number
 	if [ -d .git ] && which git >/dev/null; then \
@@ -57,6 +59,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	a2x -f manpage debian/tor-instance-create.8.txt
+	chmod +x debian/systemd/tor-generator
 
 override_dh_install-arch:
 	dh_install --fail-missing
@@ -68,10 +71,7 @@
 	cp debian/tor.apparmor-profile.abstraction debian/tor/etc/apparmor.d/abstractions/tor
 	dh_apparmor --profile-name=system_tor -ptor
 
-override_dh_installdocs:
-	dh_installdocs -ptor-dbg --link-doc=tor
-	dh_installdocs
 override_dh_strip:
-	dh_strip --dbg-package=tor-dbg
+	dh_strip --dbgsym-migration='tor-dbg (<< 0.3.1.5-alpha)'
 override_dh_installinit:
 	dh_installinit --error-handler=tor_error_init
