=== debian/watch ===
version=3
http://dist.torproject.org/tor-(.*)\.tar\.gz
